Package wx :: Class DirFilterListCtrl

[frames | no frames]

## Type DirFilterListCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                object --+   |
                         |   |
             ItemContainer --+
                             |
              ControlWithItems --+
                                 |
                            Choice --+
                                     |
                                    DirFilterListCtrl

Proxy of C++ DirFilterListCtrl class

Method Summary
Choice | ``__init__`(parent, id, pos, size, choices, style, validator, name)` Create and show a Choice control
bool | ``Create`(parent, id, pos, size, choices, style, validator, name)` Actually create the GUI Choice control for 2-phase creation
| `FillFilterList(self, filter, defaultFilter)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=0)
(Constructor)

Create and show a Choice control

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `choices`
    (type=List)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Choice
  Overrides:
    `wx.Choice.__init__` (inherited documentation)

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=0)

Actually create the GUI Choice control for 2-phase creation

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `choices`
    (type=List)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Choice.Create` (inherited documentation)

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:57 2007 | http://epydoc.sf.net